Page MenuHomePhabricator

Re-implement --just-symbols as a regular object file.
ClosedPublic

Authored by ruiu on Jan 12 2018, 10:22 PM.

Details

Summary

I tried a few different designs to find a way to implement it without
too much hassle and settled down with this. Unlike before, object files
given as arguments for --just-symbols are handled as object files, with
an exception that their section tables are handled as if they were all
null.

Diff Detail

Repository
rL LLVM

Event Timeline

ruiu created this revision.Jan 12 2018, 10:22 PM
espindola added a subscriber: llvm-commits.
espindola added inline comments.
lld/ELF/InputFiles.cpp
1178 ↗(On Diff #129749)

This should reject non ET_EXEC.

lld/ELF/InputFiles.h
338 ↗(On Diff #129749)

These typedefs are not used here. Please move to where they are needed.

ruiu updated this revision to Diff 130709.Jan 19 2018, 3:41 PM
  • address Rafael's comments
ruiu updated this revision to Diff 130712.Jan 19 2018, 3:46 PM
  • move typedefs

Please rebase on top of trunk.

I like the idea of using --cref to show a benefit of having a regular object. Please copy it from D44516.

grimar added a subscriber: grimar.Mar 16 2018, 2:30 AM

Please rebase on top of trunk.

I like the idea of using --cref to show a benefit of having a regular object. Please copy it from D44516.

ping

ruiu retitled this revision from Implement --just-symbols. to Re-implement --just-symbols as a regular object file..Mar 29 2018, 3:27 PM
ruiu edited the summary of this revision. (Show Details)
ruiu updated this revision to Diff 140347.Mar 29 2018, 3:27 PM
  • re-implement the feature
espindola accepted this revision.Mar 29 2018, 5:52 PM

Nice idea!

This revision is now accepted and ready to land.Mar 29 2018, 5:52 PM
This revision was automatically updated to reflect the committed changes.